Obter inscrição por ID
curl --request GET \
--url https://services.pref.rio/go/api/v1/courses/{courseId}/enrollments/{enrollmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/go/api/v1/courses/{courseId}/enrollments/{enrollmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/go/api/v1/courses/{courseId}/enrollments/{enrollmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "Rua das Flores, 123",
"admin_notes": "<string>",
"age": 25,
"certificate_url": "<string>",
"concluded_at": "<string>",
"course_id": 123,
"cpf": "<string>",
"curso": {
"accessibility": "<string>",
"auto_approve_enrollments": false,
"carga_horaria": 123,
"certificacao_oferecida": true,
"contato_duvidas": "<string>",
"cover_image": "<string>",
"created_at": "<string>",
"data_inicio": "<string>",
"data_limite_inscricoes": "<string>",
"data_termino": "<string>",
"description": "<string>",
"enrollment_end_date": "<string>",
"enrollment_start_date": "<string>",
"expected_results": "<string>",
"external_partner_contact": "<string>",
"external_partner_logo_url": "<string>",
"external_partner_name": "<string>",
"external_partner_url": "<string>",
"facilitator": "<string>",
"formacao_link": "<string>",
"has_certificate": true,
"id": 123,
"instituicao_id": 123,
"institutional_logo": "<string>",
"is_external_partner": true,
"is_visible": true,
"link_inscricao": "<string>",
"local_realizacao": "<string>",
"material_used": "<string>",
"methodology": "<string>",
"numero_vagas": 123,
"objectives": "<string>",
"organization": "<string>",
"orgao_id": "<string>",
"pre_requisitos": "<string>",
"program_content": "<string>",
"resources_used": "<string>",
"target_audience": "<string>",
"teaching_material": "<string>",
"theme": "<string>",
"title": "<string>",
"updated_at": "<string>",
"workload": "<string>"
},
"custom_fields": {},
"email": "<string>",
"enrolled_at": "<string>",
"enrolled_unit": {
"address": "<string>",
"created_at": "<string>",
"curso_id": 123,
"id": "<string>",
"neighborhood": "<string>",
"neighborhood_zone": "<string>",
"schedules": [
{
"class_days": "<string>",
"class_end_date": "<string>",
"class_start_date": "<string>",
"class_time": "<string>",
"created_at": "<string>",
"id": "<string>",
"location_id": "<string>",
"remaining_vacancies": 123,
"updated_at": "<string>",
"vacancies": 123
}
],
"updated_at": "<string>"
},
"id": "<string>",
"name": "<string>",
"neighborhood": "Centro",
"personal_info": {
"celular": "<string>",
"data_nascimento": "<string>",
"deficiencia": "<string>",
"email": "<string>",
"endereco": {
"bairro": "<string>",
"cep": "<string>",
"complemento": "<string>",
"estado": "<string>",
"logradouro": "<string>",
"municipio": "<string>",
"numero": "<string>",
"tipo_logradouro": "<string>"
},
"escolaridade": "<string>",
"genero": "<string>",
"nome": "<string>",
"nome_social": "<string>",
"raca": "<string>",
"renda_familiar": "<string>"
},
"phone": "<string>",
"reason": "<string>",
"schedule_id": "<string>",
"updated_at": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}inscricoes
Obter inscrição por ID
Retorna dados completos de uma inscrição específica
GET
/
api
/
v1
/
courses
/
{courseId}
/
enrollments
/
{enrollmentId}
Obter inscrição por ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
Endereço completo
Example:
"Rua das Flores, 123"
Additional enrollment fields for manual/bulk import
Example:
25
Relacionamentos
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Bairro
Example:
"Centro"
Computed field (not stored in DB) - populated from CitizenSnapshot
Show child attributes
Show child attributes
Available options:
pending, approved, rejected, cancelled, concluded ⌘I
